/*** AJUSTES.C ***/

/*
   Neste  arquivo  devem  ser definidas os valores de algumas constantes
utilizadas pelos programas INTER.C,  GRAF.C  e 2SUP.C.

   Para usar um dos 22 exemplos pre'-definidos abaixo, basta  definir um
simbolo do tipo EXEMPLOn, com n = 1, 2, ..., 20.  Isto pode ser feito na
hora da compilacao (por ex., TCC -DEXEMPLO1 ...  ou gcc -DEXEMPLO1 ... )
ou  acrescentando-se  no  inicio do programa  um  #define ...  (por ex.,
#define EXEMPLO1 )

*/

/* --------------------------------------------------------------------- */

  #if defined(EXEMPLO1)
  TAM = 90, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  padrao_G_1 = 255,
  padrao_G_2 = 85;
  nuF = 100, nvF = 100, nuG = 100, nvG = 100;
  #else
  X_CENTRO += 80;
  n_PONTOS = 2000;
  #endif

  #elif defined(EXEMPLO2)
  TAM = 50, FI = -0.2, TETA = -0.7;
  #ifdef GRAF
  nuF = 80, nvF = 80, nuG = 80, nvG = 80;
  #else
  X_CENTRO += 100;
  n_PONTOS = 400;
  NIVEL_SUBDIV = 5;
  NIVEL_CLASS = 2;
  #endif

  #elif defined(EXEMPLO3)
  TAM = 60;
  FI = -0.2, TETA = -0.7;
  #ifdef GRAF
  nuF = 85, nvF = 85, nuG = 85, nvG = 85;
  #else
  X_CENTRO += 80, Y_CENTRO += 10;
  n_PONTOS = 200;
  DOMINIO2 = 0;
  NIVEL_SUBDIV = 5;
  N_SUBDIV1 = 100, N_SUBDIV2 = 50, N_SUBDIV3 = 25,
  N_SUBDIV4 = 12, N_SUBDIV5 = 10;
  NIVEL_CLASS = 2;
  #endif

  #elif defined(EXEMPLO4)
  TAM = 80, FI = -1, TETA = -0.6;
  #ifdef GRAF
  nuF = 60, nvF = 60, nuG = 60, nvG = 60;
  padrao_F_1 = 255,
  padrao_F_2 = 255,
  padrao_G_1 = 255,
  padrao_G_2 = 255;
  #else
  X_CENTRO += 100;
  n_PONTOS = 800;
  NIVEL_CLASS = 2;
  NIVEL_SUBDIV = 2;
  PASSO_L = 0.03;
  #endif

  #elif defined(EXEMPLO5)
  TAM = 35, FI = -0.8, TETA = -1.1;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  padrao_G_1 = 255,
  padrao_G_2 = 85;
  nuF = 40, nvF = 40, nuG = 90, nvG = 90;
  Y_CENTRO -= 80;
  #else
  nuF = 30, nvF = 30, nuG = 50, nvG = 50;
  X_CENTRO += 90, Y_CENTRO -= 80;
  n_PONTOS = 300;
  NIVEL_CLASS = 1;
  DOMINIO2 = 1;
  PASSO_L = 0.04;
  #endif

  #elif defined(EXEMPLO6)
  TAM = 75, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  nuF = 70, nvF = 120, nuG = 70, nvG = 120;
  padrao_F_1 = 255,
  padrao_F_2 = 85,

  #else
  X_CENTRO += 80, Y_CENTRO += 10;
  nuF = 30, nvF = 30, nuG = 30, nvG = 30;
  TAM_EIXOS = 3;
  n_PONTOS = 400;
  PASSO_L = 0.03;
  #endif

  #elif defined(EXEMPLO7)
  TAM = 50, FI = -0.4, TETA = -0.7;
  Y_CENTRO += 10;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 255,
  padrao_G_1 = 255,
  padrao_G_2 = 255;
  nuG = 80, nvG = 160;
  nuF = 80, nvF = 160;
  #else
  X_CENTRO += 80;
  nuG = 35, nvG = 35;
  nuF = 35, nvF = 35;
  n_PONTOS = 400;
  #endif

  #elif defined(EXEMPLO8)
  TAM = 20;
  nuG = nuF = 35; nvG = nvF = 35;
  FI = -0.4, TETA = -0.7;
  X_CENTRO += 80, Y_CENTRO += 20;
  #ifndef GRAF
  n_PONTOS = 200;
  NIVEL_CLASS = 1;
  NIVEL_SUBDIV = 2;
  #endif

  #elif defined(EXEMPLO9)
  TAM = 23;
  nuF = nuG = 30; nvF = nvG = 30;
  FI = -0.4, TETA = -0.7;
  X_CENTRO += 50, Y_CENTRO += 20;
  #ifndef GRAF
  n_PONTOS = 1000;
  PASSO_L = 0.07;
  #endif

  #elif defined(EXEMPLO10)
  TAM = 16, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  nuG = 50, nvG = 50, nuF = 50, nvF = 50;
  #else
  nuG = 20, nvG = 20, nuF = 20, nvF = 20;
  X_CENTRO += 50, Y_CENTRO += 20;
  n_PONTOS = 400;
  NIVEL_CLASS = 1;
  #endif

  #elif defined(EXEMPLO11)
  TAM = 15, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  nuF = 50, nvF = 200, nuG = 40, nvG = 40;
  padrao_G_1 = 255,
  padrao_G_2 = 255;
  #else
  NIVEL_SUBDIV = 4;
  NIVEL_CLASS = 3;
  nuF = 20, nvF = 50, nuG = 20, nvG = 20;
  X_CENTRO += 150, Y_CENTRO += 10;
  n_PONTOS = 200;
  #endif

  #elif defined(EXEMPLO12)
  nuG = 45, nvG = 45;
  nuF = 45, nvF = 45;
  TAM = 20, FI = -0.4, TETA = -0.5;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  #else
  nuG = 20, nvG = 20;
  nuF = 20, nvF = 20;
  X_CENTRO += 80, Y_CENTRO += 10;
  n_PONTOS = 600;
  #endif

  #elif defined(EXEMPLO13)
  TAM = 12, FI = -0.8, TETA = -1.0;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 255,
  padrao_G_1 = 85,
  padrao_G_2 = 255;
  nuF = 70, nvF = 70, nuG = 40, nvG = 40;
  #else
  nuF = 40, nvF = 40, nuG = 25, nvG = 25;
  X_CENTRO += 50;
  n_PONTOS = 400;
  #endif

  #elif defined(EXEMPLO14)
  TAM = 25, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  nuF = 40, nvF = 40, nuG = 70, nvG = 40;
  #else
  X_CENTRO += 80;
  nuF = 20, nvF = 20, nuG = 50, nvG = 20;
  n_PONTOS = 400;
  #endif

  #elif defined(EXEMPLO15)
  TAM = 50, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 255,
  nuF = 120, nvF = 50, nuG = 70, nvG = 70;
  #else
  NIVEL_SUBDIV = 5, NIVEL_CLASS = 3;
  nuF = 40, nvF = 20, nuG = 30, nvG = 30;
  X_CENTRO += 80;
  n_PONTOS = 1000;
  #endif

  #elif defined(EXEMPLO16)
  TAM = 20, FI = -1, TETA = -1;
  #ifdef GRAF
  nuF = 100, nvF = 100, nuG = 50, nvG = 50;
  #else
  NIVEL_SUBDIV = 4, NIVEL_CLASS = 3;
  nuF = 40, nvF = 20, nuG = 30, nvG = 30;
  DOMINIO2 = 1;
  X_CENTRO += 80;
  n_PONTOS = 1000;
  #endif

  #elif defined(EXEMPLO17)
  TAM = 30, FI = -0.8, TETA = -0.9;
  #ifdef GRAF
  nuF = 200, nvF = 40, nuG = 60, nvG = 60;
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  #else
  nuF = 70, nvF = 15, nuG = 20, nvG = 20;
  X_CENTRO += 80, Y_CENTRO += 0;
  DES_EIXOS = 0;
  n_PONTOS = 500;
  PASSO_L = 0.05;
  NIVEL_SUBDIV = 5;
  NIVEL_CLASS = 3;
  #endif

  #elif defined(EXEMPLO18)
  TAM = 11, FI = -0.7, TETA = -1;
  #ifdef GRAF
  nuF = nvF = 120, nuG = nvG = 100;
  #else
  nuF = nvF = nuG = nvG = 25;
  X_CENTRO += 80, Y_CENTRO += 0;
  DES_EIXOS = 0;
  n_PONTOS = 1000;
  PASSO_L = 0.2;
  NIVEL_SUBDIV = 2;
  #endif

  #elif defined(EXEMPLO19)
  TAM = 50, FI = -0.4, TETA = -0.7;
  #ifdef GRAF
  nuF = nvF = nuG = nvG = 70;
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  padrao_G_1 = 255,
  padrao_G_2 = 85;
  #else
  X_CENTRO += 60, Y_CENTRO -= 20;
  DES_EIXOS = 0;
  n_PONTOS = 300;
  PASSO_L = 0.15;
  NIVEL_SUBDIV = 2;
  #endif

  #elif defined(EXEMPLO20)
  TAM = 50, FI = -0.8, TETA = 0;
  #ifdef GRAF
  padrao_F_1 = 255,
  padrao_F_2 = 255,
  nuF = 120, nvF = 50, nuG = 70, nvG = 70;
  #else
  NIVEL_SUBDIV = 3, NIVEL_CLASS = 2;
  nuF = 40, nvF = 20, nuG = 30, nvG = 30;
  X_CENTRO += 80;
  n_PONTOS = 1000;
  #endif

  #elif defined(EXEMPLO21)
  TAM = 30, FI = -0.8, TETA = -0.9;
  #ifdef GRAF
  nuF = 30, nvF = 30, nuG = 30, nvG = 30;
  #else
  nuF = 30, nvF = 30, nuG = 30, nvG = 30;
  X_CENTRO += 80, Y_CENTRO += 0;
  DES_EIXOS = 0;
  n_PONTOS = 500;
  PASSO_L = 0.05;
  NIVEL_SUBDIV = 4;
  NIVEL_CLASS = 3;
  #endif

  #elif defined(EXEMPLO22)
  TAM = 70, FI = -0.8, TETA = -0.1;
  #ifdef GRAF
  nuF = 120, nvF = 120, nuG = 60, nvG = 60;
  padrao_F_1 = 255,
  padrao_F_2 = 85,
  #else
  nuF = 40, nvF = 40, nuG = 15, nvG = 15;
  X_CENTRO += 80, Y_CENTRO += 0;
  DES_EIXOS = 0;
  n_PONTOS = 200;
  PASSO_L = 0.05;
  NIVEL_SUBDIV = 5;
  NIVEL_CLASS = 5;
  #endif

  #elif defined(EXEMPLO23)
  TAM = 160, FI = -0.8, TETA = -0.7;
  X_CENTRO = 400;
  Y_CENTRO = 190;
  #ifndef GRAF
  n_PONTOS = 1500;
  NIVEL_SUBDIV = 7;
  NIVEL_CLASS = 4;
  PASSO_L = 0.01;
  r_erro = 0.004;
  #endif

  #elif defined(EXEMPLO24)
  TAM = 160, FI = -0.8, TETA = -0.7;
  X_CENTRO += 80;
  Y_CENTRO += 50;
  #ifdef GRAF
  nuG = nuF = 70; nvG = nvF = 70;
  #else
  n_PONTOS = 500;
  NIVEL_SUBDIV = 3;
  NIVEL_CLASS = 2;
  INVERSO = 0;
  VERIFICA_RETORNO = 1;
  #endif

  #elif defined(EXEMPLO25)
  TAM = 10, FI = -0.4, TETA = -0.7;
  X_CENTRO += 80;
  #ifndef GRAF
  n_PONTOS = 2000;
  NIVEL_SUBDIV = 3;
  NIVEL_CLASS = 2;
  #endif

  #elif defined(EXEMPLO26)
  TAM = 100, FI = -0.4, TETA = -0.7;
  X_CENTRO += 80;
  #ifndef GRAF
  n_PONTOS = 2000;
  NIVEL_SUBDIV = 3;
  NIVEL_CLASS = 2;
  PASSO_L = 0.01;
  #endif

  #elif defined(EXEMPLO27)
  TAM = 90, FI = -0.4, TETA = -0.7;
  X_CENTRO += 25;
  Y_CENTRO += 130;
  #ifndef GRAF
  n_PONTOS = 2000;
  NIVEL_SUBDIV = 3;
  NIVEL_CLASS = 2;
  PASSO_L = 0.01;
  #endif

  #endif

/*** FIM DE AJUSTES.C ***/
